# tsaug

[![Build](https://travis-ci.com/arundo/tsaug.svg?token=jHLpy7XE6ox7WSacEURT&branch=master)](https://travis-ci.com/arundo/tsaug)
[![Docs](https://readthedocs.com/projects/arundo-tsaug/badge/?version=latest)](https://arundo-tsaug.readthedocs-hosted.com/en/latest/)
[![PyPI](https://img.shields.io/pypi/v/tsaug)](https://pypi.org/project/tsaug/)

`tsaug` is a Python package for time series augmentation. It offers a set of 
augmentation methods for time series with unified APIs, as well as operators to
connect multiple augmentors into a pipeline.

See https://arundo-tsaug.readthedocs-hosted.com complete documentation.

## Installation

Prerequisites: Python 3.5 or later.

It is recommended to use **pip** for installation.

```shell
pip install tsaug
```

Alternatively, you could install from source code:

```shell
git clone https://github.com/arundo/tsaug.git
cd tsaug/
pip install ./
```

## Examples
Please see [Quick Start](https://arundo-tsaug.readthedocs-hosted.com/en/latest/quickstart.html) for some examples.

For full references of implemented augmentation methods, please refer to [References](https://arundo-tsaug.readthedocs-hosted.com/en/latest/references.html).

## Contributing

Pull requests are welcome. For major changes, please open an issue first to
discuss what you would like to change.

Please make sure to update tests as appropriate.

## License

`tsaug` is licensed under the Apache License 2.0. See the [LICENSE](LICENSE) file for details.